# MatColoringPatch

sed inside matrix coloring routines that use MatGetRowIJ() and/or MatGetColumnIJ().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatColoringPatch(Mat mat,PetscInt ncolors,PetscInt n,ISColoringValue colorarray[],ISColoring *iscoloring)

Collective on Mat

### Input Parameters

| mat | - the matrix
| ncolors | - max color value
| n | - number of entries in colorarray
| colorarray | - array indicating color for each column

### Output Parameters

iscoloring -coloring generated using colorarray information

### See Also

MatGetRowIJ(), MatGetColumnIJ()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages